local vector2 = require("#microsoft.xna.framework.vector2")

function onBegin()
    --player.ForceCameraUpdate = true
	engine.Scene:add(coroutineEntity)
    local luanet = _G.luanet
	repeat
		wait(0)
	until getFlag(musicSync_bhotel_sequence_pre_drop_1)
	say("hi")
	instantTeleportTo(-3424,2832,void_c,WakeUp)
end

function onEnd()
    --player.ForceCameraUpdate = false
    enableMovement()
end